Subject: [MLS] normative vs. non-normative references in mls-protocol draft

From: Rohan Mahy <[email-masked]>
Date: Mon, 4 Oct 2021 05:46:26 -0700

Hello,

According to my understanding of normative vs. informative references,
several more of the references in the mls-protocol draft should be
normative, and all the components of the MLS ciphersuites should have
normative references as well:

make normative?
[RFC8032]
[SECG]
[SHS]

add
[RFC5869]
[RFC7748]
[RFC8439]

Thanks,
-rohan

*Rohan Mahy  *l  Vice President Engineering, Architecture

Chat: @rohan_wire on Wire

Wire <https://wire.com/en/download/> - Secure team messaging.

*Zeta Project Germany GmbH  *l  Rosenthaler Straße 40,
<https://maps.google.com/?q=Rosenthaler+Stra%C3%9Fe+40,%C2%A0+10178+Berlin,%C2%A0+Germany&entry=gmail&source=g>10178
Berlin,
<https://maps.google.com/?q=Rosenthaler+Stra%C3%9Fe+40,%C2%A0+10178+Berlin,%C2%A0+Germany&entry=gmail&source=g>
Germany
<https://maps.google.com/?q=Rosenthaler+Stra%C3%9Fe+40,%C2%A0+10178+Berlin,%C2%A0+Germany&entry=gmail&source=g>

Geschäftsführer/Managing Director: Morten J. Broegger

HRB 149847 beim Handelsregister Charlottenburg, Berlin

VAT-ID DE288748675

---

From: Sean Turner <[email-masked]>
Date: Mon, 4 Oct 2021 08:58:22 -0400

Rohan,

The rule can be basically summarized as: if have to implement it for interoperability it’s normative. I suspect that you are right about all of these. Mind you, I would rather refer to RFC 6090 instead of SECG if we can get away with it.

spt

> On Oct 4, 2021, at 08:46, Rohan Mahy <rohan.mahy=[email-masked]> wrote:
> 
> Hello,
> 
> According to my understanding of normative vs. informative references, several more of the references in the mls-protocol draft should be normative, and all the components of the MLS ciphersuites should have normative references as well:
> 
> make normative?
> [RFC8032]
> [SECG]
> [SHS]
> 
> add
> [RFC5869]
> [RFC7748]
> [RFC8439]
> 
> Thanks,
> -rohan
> 
> 
> Rohan Mahy  l  Vice President Engineering, Architecture
> 
> Wire - Secure team messaging.
> 
> Zeta Project Germany GmbH  l  Rosenthaler Straße 40, 10178 Berlin, Germany
> 
> 
> _______________________________________________
> MLS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mls